// rustimport:pyo3

use pyo3::prelude::*;

#[pyfunction]
fn collatz_length(n: u64) -> u64 {
    if n == 1 {
        return 1;
    }
    if n % 2 == 0 {
        return 1 + collatz_length(n / 2);
    }
    else {
        return 1 + collatz_length(n * 3 + 1);
    }
}
